<?php
require_once 'database.php';
$db = new DB();
$newsletterList = $db->getSentNewsletters();
?>

<html>
<head>
    <title>Newsletter Übersicht</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<div id="wrapper" class="shadow">
    <h1>Übersicht über gesendete Newsletter</h1>
    <table border="1">
        <tr>
            <th>ID</th>
            <th>Versendet am</th>
            <th>Betreff</th>
            <th>Anzahl Empfänger</th>
        </tr>
        <?php
            foreach($newsletterList as $newsletter) {
                echo "<tr>";
                    echo "<td>" . $newsletter['id'] . "</td>";
                    echo "<td>" . $newsletter['erzeugt_am'] . "</td>";
                    echo "<td><a href='overview_newsletter.php?id=" . $newsletter['id'] . "'>" . $newsletter['betreff'] . "</a></td>";
                    echo "<td>" . $newsletter['empfaenger_anzahl'] . "</td>";
                echo "</tr>";
            }
        ?>
    </table>
</div>
</body>
</html>