<?php
require_once 'database.php';
$db = new DB();

$id = "";
if(isset($_GET['id'])) {
    $id = $_GET['id'];
} else {
    exit;
}

$newsletterDetails = $db->getNewsletterDetails($id);
$recipientList = $db->getNewsletterRecipients($id);

?>

<html>
<head>
    <title>Newsletter Details</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<div id="wrapper" class="shadow">
    <h1>Details zum Newsletter <?php echo $newsletterDetails['id']; ?></h1>
    <h2><?php echo $newsletterDetails['betreff']; ?></h2>
    <p><?php echo $newsletterDetails['inhalt']; ?></p>
    <br >
    <p>Anzahl der Empfänger: <?php echo count($recipientList); ?></p>
    <br />
    <h3>Empfängerliste</h3>
    <table border="1">
        <tr>
            <th>Empfänger E-Mail</th>
            <th>Status</th>
            <th>Versandzeitpunkt</th>
        </tr>
        <?php
            foreach($recipientList as $recipient) {
                echo "<tr>";
                    echo "<td>" . $recipient['email'] . "</td>";
                    echo "<td>";
                    echo $recipient['status'] ? 'Gesendet' : 'Fehler';
                    echo "</td>";
                    echo "<td>" . $recipient['gesendet_am'] . "</td>";
                echo "</tr>";
            }
        ?>
    </table>


</div>
</body>
</html>